Unable to Update Multisite Theme Manager Plugin

Trying to update Multisite Theme Manager Plugin to 1.1.2 The error is saying “Update failed. Maybe wrong folder permissions.” Looks like all permissions are ok.

Any ideas?